
Name:    ksirk
Summary: Conquer-the-world strategy game
Group: Amusements/Games
Version: 4.10.1
Release: 1%{?dist}

License: GPLv2+ and GFDL
URL:     https://projects.kde.org/projects/kde/kdegames/%{name}
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/%{version}/src/%{name}-%{version}.tar.xz


BuildRequires: desktop-file-utils
BuildRequires: libkdegames-devel >= %{version}
BuildRequires: pkgconfig(qca2)
# system-iris patch requires iris-1.0.0-0.12 only in rawhide so far
%if 0%{?fuduntu} > 2013
%define system_iris 1
BuildRequires: pkgconfig(iris)
%else
# some default qca plugin(s) for bundled iris
Requires: qca-ossl%{?_isa}
%endif

Requires: libkdegames%{?_isa} >= %{_kde4_version}

%description
The goal of KSirk is to conquer the World. It is done by attacking your
neighbors with your armies.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --with-kde --all-name


## unpackaged files
rm -rfv %{buildroot}%{_kde4_iconsdir}/locolor


%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/%{name}.desktop


%post
/sbin/ldconfig
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :

%files -f %{name}.lang
%doc COPYING*
%{_kde4_bindir}/%{name}*
%{_kde4_datadir}/applications/kde4/%{name}*.desktop
%{_kde4_configdir}/%{name}*
%{_kde4_configdir}.kcfg/%{name}*.kcfg
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_appsdir}/%{name}*/
%{_kde4_libdir}/libiris_ksirk.*

%changelog
* Sun Mar 17 2013 Shawn W Dunn <sfalken@fuduntu.org> - 4.10.1-1
- Built for Fuduntu

* Sun Mar 17 2013 Shawn W Dunn <sfalken@fuduntu.org> - 4.10.1-1
- Built for Fuduntu

* Fri Mar 15 2013 Shawn W Dunn <sfalken@fuduntu.org> - 4.10.1-1
- Built for Fuduntu

* Thu Feb 28 2013 %packager Shawn W Dunn <sfalken@gmail.com> - 4.10.0-3
- Built for Fuduntu

* Fri Feb 15 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-3
- update license, summary/description

* Mon Feb 11 2013 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.10.0-2
- use the system iris library

* Thu Feb 07 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-1
- first try

